@rem
@rem Create MEX object file for Windows
@rem

@rem
@rem  Setup PATH environmentpath for mex as for your environment
@rem

@echo off
set DESTDIR=..\\Windows
set DEF="NEOCOG_MATLAB=1"
set MEXDEFS=-D%DEF% -outdir %DESTDIR%

call mex %MEXDEFS% PatLoad.c
call mex %MEXDEFS% OnOff.c           Neocog.c
call mex %MEXDEFS% MakeCG.c          Neocog.c
call mex %MEXDEFS% MakeC.c           Neocog.c
call mex %MEXDEFS% MakeAC.c          Neocog.c
call mex %MEXDEFS% ReadConnect.c     Neocog.c
call mex %MEXDEFS% ReadCategory.c    Neocog.c
call mex %MEXDEFS% Angle.c           Neocog.c
call mex %MEXDEFS% Delta1stStage.c  Neocog.c
call mex %MEXDEFS% Sres.c            Neocog.c
call mex %MEXDEFS% Cres.c            Neocog.c
call mex %MEXDEFS% CresL.c           Neocog.c
call mex %MEXDEFS% Sorg.c            Neocog.c
call mex %MEXDEFS% SorgL.c           Neocog.c
